
Infrastructure - Task #1290

Bug # 1252 (Closed): mimemultipart handling is buggy

MMP not working for PUT operations

2011-02-03 19:09 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: Sprint-2011.05   

Milestone:  Story Points:  

Product Version: *   

Description

multipart entities are not available for the multipartRequestResolver.

History

#1 - 2011-02-03 19:16 - Rob Nahf

- Category set to d1_common_java

- Status changed from New to In Progress

- Assignee deleted (Rob Nahf)

- % Done changed from 0 to 80

showed up as update method not working.  Did not work using curl to make the request, and found potential issue with PUT on tomcat.  Robert

located error in default behavior of  underlying apache code MPrequestResolver uses.  In process of testing

#2 - 2011-02-04 09:02 - Rob Nahf

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

tests with updated MultipartRequestResolver show that multipart transmission is working, although a bug found in doUpdate in metacat.
